#
# ERIS 2009
#
#
# comments to Hans-Rainer Kloeckner 
# hrk@astro.ox.ac.uk
#
from time import sleep
#
import AIPS
from AIPSTask import AIPSTask
from AIPSTV import AIPSTV
from AIPSData import AIPSUVData, AIPSImage

AIPS.userno = 456                          # set the aips user number

AIPS.log    = open('./TUT4.log','w')       # define the log file

# dataset produced in PT_TUT3
uvdata2 = AIPSUVData('SIM','UVMOD', 1, 1)
#
#
tv = AIPSTV()
tv.start()
#
# Image the UVDATA file
#
imagr             = AIPSTask('imagr')
imagr.indata      = uvdata2
imagr.cellsi[1:]  = [12,12]
imagr.imsi[1:]    = [512,512]
imagr.niter       = 1000
#imagr.niter       = 0
imagr.minpatch    = 121
imagr.dotv        = -1
imagr.go()
#

from Wizardry.AIPSData import AIPSImage as WizAIPSImage
edimage2 = WizAIPSImage('SIM','ICL001', 1, 1)

# print edimage2.header  # if you are not sure what kind of keywords are availible
edimage2.header['observer'] = 'ERIS2009'
edimage2.header.update()

edimage2.keywords['OXFORD'] = 'ERIS2009'
edimage2.keywords.update()

sleep(7)
tv.kill()

#
image2 = AIPSImage('SIM','ICL001', 1, 1)

sad                = AIPSTask('sad')
sad.indata         = image2
sad.blc[1:]        = [250,250]
sad.trc[1:]        = [270,270]
sad.ngauss         = 1
sad.doall          = -1  # only one fit
sad.dowidth[1][1:] = [1,1,1]
sad.outvers         = -1
sad.dparm[1]       = 0.01
sad.docrt          = -1
sad.fitout         = 'PWD:PT_TUT3_SAD'
sad.go()
sad.doall          = -1
sad.blc[1:]        = [102,402]
sad.trc[1:]        = [110,415]
sad.go()



sflux = []

mftab1  = image2.table('MF',1)
for row in mftab1:
    # print row
    sflux.append(row['i_flux'])
    sflux.append(row['err_flux'])
    sflux.append(row['peak_int'])

mftab2  = image2.table('MF',2)
for row in mftab2:
    # print row
    sflux.append(row['i_flux'])
    sflux.append(row['err_flux'])
    sflux.append(row['peak_int'])

print 'Fitted source fluxes ',sflux,'\n'

from Wizardry.AIPSData import AIPSImage as WizAIPSImage
edimage2 = WizAIPSImage('SIM','ICL001', 1, 1)

edmftab2  = edimage2.table('MF',2)
for row in edmftab2:
    row.i_flux = -999
    row.update()
    row['err_qflx'] = -999
    row.update()
    print row

print '\nTwo entries have been changed to -999\n'
